# RPM specfile for the TapeBackup package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)TapeBackup.spec	1.13 11/20/19 19:26:21
# Version: Release & Level: R L
# Release: Branch & Sequence: B S
# This is used in the Makefile.

%define name TapeBackup
%define version 1.13
%define release 0.0

Summary: Backup directories to tape, with a tape label.
Name: %{name}
Version: %{version}
Release: %{release}
# Should use SCCS for below:
Source: http://www.phcomp.co.uk/Downloads/TapeBackup-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

BuildArchitectures: noarch


License: GPL

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
Requires: ksh coreutils mailx gawk sed findutils util-linux hdparm mt-st tar
%else
Requires: pdksh coreutils mailx gawk sed findutils util-linux hdparm mt-st tar
%endif
BuildRequires: make sed

# This is only needed if we want to build a relocatable RPM:
#Prefix: %%{_prefix}

%description
Write a tar backup to a SCSI/DAT tape.
Creates a tape label with the system disk partitioning and installed packages.
Generates a log file.
Designed to be run from cron.
%prep
%setup -q

%build
%install
# RPM_BUILD_ROOT is set by BuildRoot: above

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} RELEASE=%{release} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/TapeBackup
%doc README Contributors License Hacks
%{_mandir}/man*/TapeBackup.*

%changelog
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Thu Jul 29 2010 Alain Williams <addw@phcomp.co.uk>
- Tweak messages, add license info to program.
* Wed Jul 28 2010 Alain Williams <addw@phcomp.co.uk>
- Put to the log file and tape label instructions on how to restore from the tape, also document.
* Fri Apr 02 2010 Alain Williams <addw@phcomp.co.uk>
- Do a tape status at the very start, show up some errors.
* Fri Jul 24 2009 Alain Williams <addw@phcomp.co.uk>
- Implement new options: -l -a -t
  Allow things like 'home/[a-m]*' as file patterns.
* Mon Dec 29 2008 Alain Williams <addw@phcomp.co.uk>
- First time into RPM
